extends Node2D

@onready var player : Player = get_tree().get_first_node_in_group("player")

func _process(delta: float) -> void:
	if player:
		if player.global_position.distance_to(global_position) > 600:
			player.damage()
